[Numpy-discussion] scipy binary for macosx tiger on ppc

Christopher Barker Chris.Barker@noaa....
Fri Nov 30 17:34:14 CST 2007


Robert Kern wrote:
> I would prefer that we use the Python binary from www.python.org. That should
> work on 10.3.9+.

+1 -- there have always been enough issue with Apple;'s python that it's 
best to just use another version -- one binary for > 10.3.9 is the way 
to go.

> "Official" binaries intended for distribution from scipy.org or scipy.sf.net
> should not be linked against FFTW or UMFPACK since they are GPLed.

Does that apply to binaries put up on pythonmac.org? It would be nice to 
have a "complete" version somewhere standard.

> The real problem is the Fortran runtime. It is possible to link against the
> Fortran runtime libraries statically so as to avoid needing the user to also
> install a Fortran compiler just to run scipy.

That would be great, too.

-Chris



-- 
Christopher Barker, Ph.D.
Oceanographer

Emergency Response Division
NOAA/NOS/OR&R            (206) 526-6959   voice
7600 Sand Point Way NE   (206) 526-6329   fax
Seattle, WA  98115       (206) 526-6317   main reception

Chris.Barker@noaa.gov


More information about the Numpy-discussion mailing list